//Art 22 Programming Exercise 1 Example Sketch
//Feel free to copy this as a starting point

int birdX = 100;
int birdY = 100;
int birdLength = 150;
float birdInc = 0;

float skyHue = 180;
float birdHue = 180;

//what other variables will you need?

void setup()
{
  size(800, 450); // hint: 800/450 = 16/9, so we have a 16:9 aspect ratio
  //you can change the size, so long as width/height = 16/9 to meet the assignment's specification
  
  colorMode(HSB, 360, 100, 100);
}

void draw()
{
  //Draw Background/Sky first
  
  //Example of changing color based on mouse position
  
  ////without typecasting
  //float mouseXFloat = mouseX;
  //float zeroToOne = mouseXFloat/(width-1); // 0.0 to 1.0
  
  //(float) is called a type cast - it converts an int to a float
  float zeroToOne = (float)mouseX/(width-1); // 0.0 to 1.0
  
  skyHue = zeroToOne*360;
  birdHue = zeroToOne*50;
  
  println("mouseX = " + mouseX + "fraction = " + zeroToOne + "skyHue  =" + skyHue);
  
  background(skyHue, 100, 100);
  
  //Draw Sun here....
  //hint: use an ellipse
  
  //Draw Water here if you want it in behind moutains
  //hint: use a large rect
  
  //Draw Mountains here...
  //hint use quads and triangles
  
  //Draw Water here if you want it in front of moutains
  
  //Draw Bird modify to make your own shape or use text....
  //hint: add rects, triagles, or quads to draw wings
  fill(birdHue, 100, 100);
  noStroke();
  //ellipse(centerX, centerY, 100, 100);
  rect(birdX, birdY, birdLength, 25);
  
  quad(38, 31, birdX+86, 20, birdX+69, 63, birdX+30, 76);
  
  //rect(centerX+birdLength/2, centerY-40, 20, 50); //wings?
  //rect(centerX+birdLength/2, centerY+20, 20, 50); //wings?
  birdX += birdInc; //this makes the bird move
  //this changes the movement when the bird hits the bounds of the canvas
 if(birdX > width-birdLength || birdX < 0)
 {
    //birdX = 0; //reset position
    birdInc *= -1; //or change direction (hint: useful for the fish)
 }
  
}

void mouseClicked()
{
  //code in these { }'s will execute once each time the mouse is clicked...
  // do something here....
  
  if(birdInc == 0)
  {
    //turn on motion
    birdInc = 5;
  }
  else if(birdInc == 5 || birdInc == -5)
  {
    birdInc = 50;
  }
    else if(birdInc == 50 || birdInc == -50)
  {
    birdInc = 100;
  }
  else
  {
   //turn off motion 
   birdInc = 0;
  }
  
}